// areafile.h
//
// Copyright (C) 2000  Robert Barron, KA5WSS
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef _AREAFILE_H_
#define _AREAFILE_H_

#include "rfile.h"

class RAreaFile : public RFile
{
public:
	// This struct must be public so that Watcom does not
	//  complain about the self referencial structure.
	typedef struct areainfostruct {
		char *smallArea;
		char *bigArea;
		int callDistrict;
		struct areainfostruct *next;
	} areaInfo;

private:
	int areaCount;

	areaInfo *areaList;

	boolean ProcessAreaFile();
	boolean AddAreaToList(char *, char *);

public:

	RAreaFile()					{areaCount = 0; areaList = NULL;};
	~RAreaFile();
	RAreaFile(char *name);
	boolean open(char *name, int mode = ios::in | ios::binary);
	boolean GetInfo(const char *, char *);
};

#endif
