// logconv.h
//
// Copyright (C) 2000 Robert Barron, KA5WSS
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#define STRING_BUFFER_SIZE    2048

#include "adiffile.h"
#include "arrlfile.h"
#include "ctfile.h"
#include "ct8file.h"
#include "ct9file.h"
#include "dbfile.h"
#include "dxclus.h"
#include "dxifile.h"
#include "nafile.h"
#include "na9file.h"
#include "cabfile.h"
#include "sdffile.h"
#include "trfile.h"
#include "wrtc.h"

class RLogConv
{
private:
	char szInputFileName[STRING_BUFFER_SIZE];
	char szOutputFileName[STRING_BUFFER_SIZE];

	RQsoFile *FromFile;
	RQsoFile *ToFile;
	RQsoFile::QSOFILEOPTIONS fileOptions;

	int nQSOsConverted;

public:
	RLogConv();
	RLogConv(char *szInputFile, char *szOutputFile);
	~RLogConv();
	int setInputFile(char *szInputFile, int *nFileType);
	int setOutputFile(char *szOutputFile, int nFileType = 0);
	int setFileOptions(RQsoFile::QSOFILEOPTIONS *fileOptions);
	int setFileOptions(char *cmdLine);
	int getQSOCount()			{return nQSOsConverted;}
	int getInputLogType();
	int getInputByteSize()		{return FromFile->size();}
	int getInputBytePosition()	{return FromFile->position();};
	int convertNextQso(int *position, int *QSOnum);

private:
#if !defined(LC_CMD_LINE)
	void FilePrefix(char *name, char *pathName);
#endif
	int OutputLogType(char *sFileName);
};

